Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.log
Interface Logger

All Known Implementing Classes:
  JavaLogger

    public interface Logger

That interface hides current logging system from classes. Concrete implementation should provide appropriate logger instance that delegates messages to the current log system.

Author:
  shura

Nested Class Summary
`static class` | `Logger.Level`

Method Summary
`void` | `debug(java.lang.CharSequence content)`
`void` | `debug(java.lang.CharSequence content, java.lang.Throwable error)`
`void` | `debug(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `debug(java.lang.Throwable error)`
`void` | `debug(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `error(java.lang.CharSequence content)`
`void` | `error(java.lang.CharSequence content, java.lang.Throwable error)`
`void` | `error(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `error(java.lang.Throwable error)`
`void` | `error(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `info(java.lang.CharSequence content)`
`void` | `info(java.lang.CharSequence content, java.lang.Throwable error)`
`void` | `info(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `info(java.lang.Throwable error)`
`void` | `info(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isLogEnabled(Logger.Level level)`
`boolean` | `isWarnEnabled()`
`void` | `log(Logger.Level level, java.lang.CharSequence content)`
`void` | `log(Logger.Level level, java.lang.CharSequence content, java.lang.Throwable error)`
`void` | `log(Logger.Level level, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `log(Logger.Level level, java.lang.Throwable error)`
`void` | `log(Logger.Level level, java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `warn(java.lang.CharSequence content)`
`void` | `warn(java.lang.CharSequence content, java.lang.Throwable error)`
`void` | `warn(java.lang.Enum<?> messageKey, java.lang.Object... args)`
`void` | `warn(java.lang.Throwable error)`
`void` | `warn(java.lang.Throwable error, java.lang.Enum<?> messageKey, java.lang.Object... args)`

Method Detail

### isDebugEnabled

    boolean isDebugEnabled()

  Returns:

### debug

    void debug(java.lang.CharSequence content)

  Parameters:
    `content` -

### debug

    void debug(java.lang.Enum<?> messageKey,
               java.lang.Object... args)

  Parameters:
    `messageKey` -
    `args` -

### debug

    void debug(java.lang.CharSequence content,
               java.lang.Throwable error)

  Parameters:
    `content` -
    `error` -

### debug

    void debug(java.lang.Throwable error,
               java.lang.Enum<?> messageKey,
               java.lang.Object... args)

  Parameters:
    `error` -
    `messageKey` -
    `args` -

### debug

    void debug(java.lang.Throwable error)

  Parameters:
    `error` -

### isInfoEnabled

    boolean isInfoEnabled()

  Returns:

### info

    void info(java.lang.CharSequence content)

  Parameters:
    `content` -

### info

    void info(java.lang.Enum<?> messageKey,
              java.lang.Object... args)

  Parameters:
    `messageKey` -
    `args` -

### info

    void info(java.lang.CharSequence content,
              java.lang.Throwable error)

  Parameters:
    `content` -
    `error` -

### info

    void info(java.lang.Throwable error,
              java.lang.Enum<?> messageKey,
              java.lang.Object... args)

  Parameters:
    `error` -
    `messageKey` -
    `args` -

### info

    void info(java.lang.Throwable error)

  Parameters:
    `error` -

### isWarnEnabled

    boolean isWarnEnabled()

  Returns:

### warn

    void warn(java.lang.CharSequence content)

  Parameters:
    `content` -

### warn

    void warn(java.lang.Enum<?> messageKey,
              java.lang.Object... args)

  Parameters:
    `messageKey` -
    `args` -

### warn

    void warn(java.lang.CharSequence content,
              java.lang.Throwable error)

  Parameters:
    `content` -
    `error` -

### warn

    void warn(java.lang.Throwable error,
              java.lang.Enum<?> messageKey,
              java.lang.Object... args)

  Parameters:
    `error` -
    `messageKey` -
    `args` -

### warn

    void warn(java.lang.Throwable error)

  Parameters:
    `error` -

### isErrorEnabled

    boolean isErrorEnabled()

  Returns:

### error

    void error(java.lang.CharSequence content)

  Parameters:
    `content` -

### error

    void error(java.lang.Enum<?> messageKey,
               java.lang.Object... args)

  Parameters:
    `messageKey` -
    `args` -

### error

    void error(java.lang.CharSequence content,
               java.lang.Throwable error)

  Parameters:
    `content` -
    `error` -

### error

    void error(java.lang.Throwable error,
               java.lang.Enum<?> messageKey,
               java.lang.Object... args)

  Parameters:
    `error` -
    `messageKey` -
    `args` -

### error

    void error(java.lang.Throwable error)

  Parameters:
    `error` -

### isLogEnabled

    boolean isLogEnabled(Logger.Level level)

  Parameters:
    `level` -
  Returns:

### log

    void log(Logger.Level level,
             java.lang.CharSequence content)

  Parameters:
    `level` -
    `content` -

### log

    void log(Logger.Level level,
             java.lang.CharSequence content,
             java.lang.Throwable error)

  Parameters:
    `level` -
    `content` -
    `error` -

### log

    void log(Logger.Level level,
             java.lang.Throwable error)

  Parameters:
    `level` -
    `error` -

### log

    void log(Logger.Level level,
             java.lang.Enum<?> messageKey,
             java.lang.Object... args)

  Parameters:
    `level` -
    `messageKey` -
    `args` -

### log

    void log(Logger.Level level,
             java.lang.Throwable error,
             java.lang.Enum<?> messageKey,
             java.lang.Object... args)

  Parameters:
    `level` -
    `error` -
    `messageKey` -
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.